package tutorial

import (
	"context"

    "wechat-api/ent/tutorial"
    "wechat-api/internal/svc"
    "wechat-api/internal/types"
    "wechat-api/internal/utils/dberrorhandler"

    "github.com/suyuan32/simple-admin-common/msg/errormsg"
    "github.com/zeromicro/go-zero/core/logx"
)

type DeleteTutorialLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewDeleteTutorialLogic(ctx context.Context, svcCtx *svc.ServiceContext) *DeleteTutorialLogic {
	return &DeleteTutorialLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *DeleteTutorialLogic) DeleteTutorial(req *types.IDsReq) (*types.BaseMsgResp, error) {
	_, err := l.svcCtx.DB.Tutorial.Delete().Where(tutorial.IDIn(req.Ids...)).Exec(l.ctx)

    if err != nil {
		return nil, dberrorhandler.DefaultEntError(l.Logger, err, req)
	}

    return &types.BaseMsgResp{Msg: errormsg.DeleteSuccess}, nil
}
